I’m having trouble using the wizards unite app on my pixel 2 xl. It boots me after awhile with the notice that my phone isn’t compatible with wizards unite. Please help!

Answered question